summaryrefslogtreecommitdiff
path: root/support/shlatex/fr/install
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /support/shlatex/fr/install
Initial commit
Diffstat (limited to 'support/shlatex/fr/install')
-rw-r--r--support/shlatex/fr/install102
1 files changed, 102 insertions, 0 deletions
diff --git a/support/shlatex/fr/install b/support/shlatex/fr/install
new file mode 100644
index 0000000000..be336113d2
--- /dev/null
+++ b/support/shlatex/fr/install
@@ -0,0 +1,102 @@
+#!/bin/bash
+# Script d'installation pour ShLaTeX
+# Attention : vous devez être root pour exécuter ce script !
+# Ce script doit être exécuté dans le répertoire de ShLaTeX.
+
+# variables d'installation
+user=`whoami`;
+version="1.2b-fr";
+
+# fichiers d'installation
+gpl="../GPL.TXT";
+src="../src";
+tex8to7="../src/tex8to7.c";
+man="./man/shlatex.1.bz2";
+shlatex="./ShLaTeX";
+todo="../TODO.TXT";
+fichInstall="$gpl $tex8to7 $man $shlatex $todo";
+
+# répertoires d'installation
+cheminMan="/usr/share/man/fr/man1";
+cheminExec="/usr/bin";
+cheminScript="/usr/share";
+repInstall="$cheminMan $cheminExec $cheminScript";
+
+# vérification de l'identité de l'appelant
+if [ ! $user == "root" ]
+then
+ echo -ne "> Erreur : vous devez être 'root' pour exécuter ce script\n";
+ echo -ne " Se reporter au fichier README.TXT pour plus d'informations.\n";
+ exit 1;
+fi
+
+# vérification de l'abscence de cette version n'est pas déjà installée
+if [ -d "$cheminScript/shlatex-$version" ]
+then
+ echo "ShLaTeX $version est déjà installé sur votre système."
+ echo "Pour le réinstaller, veuillez d'abord le désinstaller."
+ exit 2;
+fi
+
+# vérification de l'existence des répertoires cibles, création le cas échéant
+for rep in $repInstall
+do
+ if [ ! -d "$rep" ]
+ then
+ echo -ne "> Avertissement : impossible de trouver \"$rep\", création du répertoire...\n";
+ mkdir -p "$rep"
+ fi
+done
+
+# vérification de l'existence des fichiers d'installation
+for fich in $fichiersInstall
+do
+ if [ ! -f "$fich" ]
+ then
+ echo -ne "> Erreur : impossible de trouver le fichier \"$fich\", ce fichier est nécessaire pour l'installation !\n";
+ exit 3;
+ fi
+done
+
+cat $gpl | more
+
+echo -ne "\n\n"
+
+rpse="-";
+until [ "$rpse" == "o" -o "$rpse" == "n" ]
+do
+ read -p "Êtes-vous d'accord avec les termes de la licence GNU GPL (o/n) ? " rpse
+done
+
+if [ ! "$rpse" == "o" ]
+then
+ echo "> Installation annulée."
+ exit 1;
+fi
+
+clear
+
+echo -ne "> Installation en cours...\n"
+echo -ne "> Compilation en cours...\n"
+gcc $tex8to7 -o tex8to7
+echo -ne "> Installation de tex8to7...\n"
+cp ./tex8to7 "$cheminExec/tex8to7"
+rm -f tex8to7
+chmod 755 "$cheminExec/tex8to7"
+echo -ne "> Installation de la page de man...\n"
+cp $man "$cheminMan/shlatex.1.bz2"
+chmod 644 "$cheminMan/shlatex.1.bz2"
+echo -ne "> Installation du script...\n"
+mkdir "$cheminScript/shlatex-$version"
+cp -fR * $gpl $src $todo "$cheminScript/shlatex-$version"
+chmod -R 755 "$cheminScript/shlatex-$version"
+if [ ! -L "$cheminExec/ShLaTeX" ]
+then
+ ln -s "$cheminScript/shlatex-$version/ShLaTeX" "$cheminExec/ShLaTeX"
+fi
+ln -s "$cheminScript/shlatex-$version/ShLaTeX" "$cheminExec/ShLaTeX-$version"
+echo -ne "> Test en cours...\n"
+cd "$cheminScript/shlatex-$version/test"
+chmod 755 ./test
+./test
+echo -ne "> Terminé.\n\n"